Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.portal
Class UpdateActionForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.apache.beehive.netui.pageflow.internal.BaseActionForm
                  org.apache.beehive.netui.pageflow.FormData
                      com.bea.wli.worklist.portal.UpdateActionForm

All Implemented Interfaces:
  Serializable, Validatable

    public class UpdateActionForm

extends FormData
implements Validatable

See Also:
  Serialized Form

Field Summary
`protected DateFormat` | `_dateFormat`

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`UpdateActionForm()`

Method Summary
`String[]` | `getActualPropertySelections()`
`String` | `getAdminState(HttpServletRequest request)`
`Assignee` | `getAssigneeList()`
`boolean` | `getCanBeClaimed()`
`boolean` | `getCanChangeCompletionDueDate()`
`boolean` | `getCanChangeOwner()`
`boolean` | `getCanChangeStepCompletionDueDate()`
`boolean` | `getCanClaimDueDate()`
`boolean` | `getCanUpdate()`
`String` | `getClaimant()`
`String` | `getClaimantName()` Name instead of id
`String` | `getComment()`
`Date` | `getCompletionDueDate()`
`String` | `getCompletionDueDateStr()`
`Date` | `getCreateDate()`
`String` | `getCreator()`
`String` | `getCreatorName()` Name instead of id
`String` | `getCurrentStepName()`
`DateFormat` | `getDateFormat()`
`void` | `getDateFormat(DateFormat dt)`
`String` | `getDateFormatLocalizedPattern()`
`Date` | `getLastUpdateDate()`
`String` | `getLastUpdateUser()`
`String` | `getLastUpdateUserName()` Name instead of id
`String` | `getOwner()`
`String` | `getOwnerName()` Name instead of id
`Integer` | `getPriority()`
`PropertyInstanceHolder[]` | `getProperties()` Get all PropertyInstanceHolders representing properties for this task.
`String[]` | `getPropertySelections()`
`Date` | `getStepClaimDueDate()` Deprecated. Use getStepCompletionDueDate() where the current step (as defined by the task plan) represents the 'claim' on the task.
`String` | `getStepClaimDueDateStr()` Deprecated. Use getStepCompletionDueDateStr() where the current step (as defined by the task plan) represents the 'claim' on the task.
`Date` | `getStepCompletionDueDate()`
`String` | `getStepCompletionDueDateStr()`
`String` | `getTaskId()`
`String` | `getTaskName()`
`String` | `getTaskPlanId()`
`PropertyInstanceHolder[]` | `getUserProperties()` Return an array of all the PropertyInstanceHolders representing user defined properties for this task.
`PropertyInstanceHolder` | `getUserProperty(String name)` Return the PropertyInstanceHolder for the property with the given name, or null if no such property exists.
`String` | `getWorkingState(HttpServletRequest request)`
`void` | `initialize(UpdateActionForm form)`
`void` | `setAdminState(String adminState)`
`void` | `setAssigneeList(Assignee assigneeList)`
`void` | `setCanBeClaimed(boolean canBeClaimed)`
`void` | `setCanChangeCompletionDueDate(boolean canChangeCompletionDueDate)`
`void` | `setCanChangeOwner(boolean canChangeOwner)`
`void` | `setCanChangeStepCompletionDueDate(boolean canChangeStepCompletionDueDate)`
`void` | `setCanClaimDueDate(boolean canClaimDueDate)`
`void` | `setCanUpdate(boolean canUpdate)`
`void` | `setClaimant(String claimant)`
`void` | `setClaimantName(String claimantName)`
`void` | `setComment(String comment)`
`void` | `setCompletionDueDate(Date completionDueDate)`
`void` | `setCompletionDueDateStr(String completionDueDate)`
`void` | `setCreateDate(Date createDate)`
`void` | `setCreator(String creator)`
`void` | `setCreatorName(String creatorName)`
`void` | `setCurrentStepName(String currentStepName)`
`void` | `setLastUpdateDate(Date lastUpdateDate)`
`void` | `setLastUpdateUser(String lastUpdateUser)`
`void` | `setLastUpdateUserName(String lastUpdateUserName)`
`void` | `setOwner(String owner)`
`void` | `setOwnerName(String ownerName)`
`void` | `setPriority(Integer priority)`
`void` | `setProperties(PropertyInstanceHolder[] props)`
`void` | `setPropertySelections(String[] userSelections)` For Property check box
`void` | `setStepClaimDueDate(Date claimDueDate)` Deprecated. Use setStepCompletionDueDate() where the current step (as defined by the task plan) represents the 'claim' on the task.
`void` | `setStepClaimDueDateStr(String claimDueDate)` Deprecated. Use setStepCompletionDueDateStr() where the current step (as defined by the task plan) represents the 'claim' on the task.
`void` | `setStepCompletionDueDate(Date stepCompletionDueDate)`
`void` | `setStepCompletionDueDateStr(String stepCompletionDueDate)`
`void` | `setTaskId(String taskId)`
`void` | `setTaskName(String taskName)`
`void` | `setTaskPlanId(String taskPlanId)`
`void` | `setWorkingState(String workingState)`
`void` | `validate(org.apache.struts.action.ActionMapping mapping, HttpServletRequest request, org.apache.struts.action.ActionMessages errors)`

Methods inherited from class org.apache.beehive.netui.pageflow.internal.BaseActionForm
`getAdditionalActionErrors, validate, validateBean`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidatorResults, log, log, reset, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _dateFormat

    protected DateFormat _dateFormat

Constructor Detail

### UpdateActionForm

    public UpdateActionForm()

Method Detail

### initialize

    public void initialize(UpdateActionForm form)

### getDateFormat

    public DateFormat getDateFormat()

### getDateFormat

    public void getDateFormat(DateFormat dt)

### getDateFormatLocalizedPattern

    public String getDateFormatLocalizedPattern()

### setComment

    public void setComment(String comment)

### getComment

    public String getComment()

### setCompletionDueDate

    public void setCompletionDueDate(Date completionDueDate)

### getCompletionDueDate

    public Date getCompletionDueDate()
                              throws ParseException

  Throws:
    `ParseException`

### setCompletionDueDateStr

    public void setCompletionDueDateStr(String completionDueDate)
                                 throws ParseException

  Throws:
    `ParseException`

### getCompletionDueDateStr

    public String getCompletionDueDateStr()

### setStepClaimDueDate

    public void setStepClaimDueDate(Date claimDueDate)

  Deprecated. Use setStepCompletionDueDate() where the current step (as defined by the task plan) represents the 'claim' on the task.

### getStepClaimDueDate

    public Date getStepClaimDueDate()
                             throws ParseException

  Deprecated. Use getStepCompletionDueDate() where the current step (as defined by the task plan) represents the 'claim' on the task.

  Throws:
    `ParseException`

### setStepClaimDueDateStr

    public void setStepClaimDueDateStr(String claimDueDate)
                                throws ParseException

  Deprecated. Use setStepCompletionDueDateStr() where the current step (as defined by the task plan) represents the 'claim' on the task.

  Throws:
    `ParseException`

### getStepClaimDueDateStr

    public String getStepClaimDueDateStr()

  Deprecated. Use getStepCompletionDueDateStr() where the current step (as defined by the task plan) represents the 'claim' on the task.

### setStepCompletionDueDate

    public void setStepCompletionDueDate(Date stepCompletionDueDate)

### getStepCompletionDueDate

    public Date getStepCompletionDueDate()
                                  throws ParseException

  Throws:
    `ParseException`

### setStepCompletionDueDateStr

    public void setStepCompletionDueDateStr(String stepCompletionDueDate)
                                     throws ParseException

  Throws:
    `ParseException`

### getStepCompletionDueDateStr

    public String getStepCompletionDueDateStr()

### setPriority

    public void setPriority(Integer priority)

### getPriority

    public Integer getPriority()

### setProperties

    public void setProperties(PropertyInstanceHolder[] props)

### getProperties

    public PropertyInstanceHolder[] getProperties()

  Get all PropertyInstanceHolders representing properties for this task.

### getUserProperties

    public PropertyInstanceHolder[] getUserProperties()

  Return an array of all the PropertyInstanceHolders representing user defined properties for this task.

### getUserProperty

    public PropertyInstanceHolder getUserProperty(String name)

  Return the PropertyInstanceHolder for the property with the given name, or null if no such property exists.

### getTaskPlanId

    public String getTaskPlanId()

### setTaskPlanId

    public void setTaskPlanId(String taskPlanId)

### getCurrentStepName

    public String getCurrentStepName()

### setCurrentStepName

    public void setCurrentStepName(String currentStepName)

### getOwner

    public String getOwner()

### setOwner

    public void setOwner(String owner)

### getClaimant

    public String getClaimant()

### setClaimant

    public void setClaimant(String claimant)

### getTaskId

    public String getTaskId()

### setTaskId

    public void setTaskId(String taskId)

### getTaskName

    public String getTaskName()

### setTaskName

    public void setTaskName(String taskName)

### getAdminState

    public String getAdminState(HttpServletRequest request)

### setAdminState

    public void setAdminState(String adminState)

### getWorkingState

    public String getWorkingState(HttpServletRequest request)

### setWorkingState

    public void setWorkingState(String workingState)

### getCreator

    public String getCreator()

### setCreator

    public void setCreator(String creator)

### getCreateDate

    public Date getCreateDate()

### setCreateDate

    public void setCreateDate(Date createDate)

### getLastUpdateUser

    public String getLastUpdateUser()

### setLastUpdateUser

    public void setLastUpdateUser(String lastUpdateUser)

### getLastUpdateDate

    public Date getLastUpdateDate()

### setLastUpdateDate

    public void setLastUpdateDate(Date lastUpdateDate)

### getOwnerName

    public String getOwnerName()

  Name instead of id

  Returns:

### setOwnerName

    public void setOwnerName(String ownerName)

### getClaimantName

    public String getClaimantName()

  Name instead of id

  Returns:

### setClaimantName

    public void setClaimantName(String claimantName)

### getCreatorName

    public String getCreatorName()

  Name instead of id

  Returns:
    creatorName

### setCreatorName

    public void setCreatorName(String creatorName)

### getLastUpdateUserName

    public String getLastUpdateUserName()

  Name instead of id

  Returns:

### setLastUpdateUserName

    public void setLastUpdateUserName(String lastUpdateUserName)

### getCanUpdate

    public boolean getCanUpdate()

### setCanUpdate

    public void setCanUpdate(boolean canUpdate)

### getCanChangeOwner

    public boolean getCanChangeOwner()

### setCanChangeOwner

    public void setCanChangeOwner(boolean canChangeOwner)

### getCanBeClaimed

    public boolean getCanBeClaimed()

### setCanBeClaimed

    public void setCanBeClaimed(boolean canBeClaimed)

### getCanClaimDueDate

    public boolean getCanClaimDueDate()

### setCanClaimDueDate

    public void setCanClaimDueDate(boolean canClaimDueDate)

### getCanChangeStepCompletionDueDate

    public boolean getCanChangeStepCompletionDueDate()

### setCanChangeStepCompletionDueDate

    public void setCanChangeStepCompletionDueDate(boolean canChangeStepCompletionDueDate)

### getCanChangeCompletionDueDate

    public boolean getCanChangeCompletionDueDate()

### setCanChangeCompletionDueDate

    public void setCanChangeCompletionDueDate(boolean canChangeCompletionDueDate)

### getAssigneeList

    public Assignee getAssigneeList()

### setAssigneeList

    public void setAssigneeList(Assignee assigneeList)

### setPropertySelections

    public void setPropertySelections(String[] userSelections)

  For Property check box

  Parameters:
    `userSelections` -

### getActualPropertySelections

    public String[] getActualPropertySelections()

### getPropertySelections

    public String[] getPropertySelections()

### validate

    public void validate(org.apache.struts.action.ActionMapping mapping,
                         HttpServletRequest request,
                         org.apache.struts.action.ActionMessages errors)

  Specified by:
    `validate` in interface `Validatable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD